Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class InstantiateAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.NodeAction
                      org.openide.actions.InstantiateAction

All Implemented Interfaces:
  ActionListener, Externalizable, Serializable, EventListener, Action, Presenter, Presenter.Menu, Presenter.Popup, Presenter.Toolbar, ContextAwareAction, HelpCtx.Provider

Deprecated. Deprecated since 3.42. The use of this action should be avoided.

    public class InstantiateAction

extends NodeAction

Instantiate a template. Enabled only when there is one selected node and it represents a data object satisfying `DataObject.isTemplate()`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`InstantiateAction()` Deprecated.

Method Summary
`protected boolean` | `enable(Node[] activatedNodes)` Deprecated.
`HelpCtx` | `getHelpCtx()` Deprecated.
`String` | `getName()` Deprecated.
`static Set` | `instantiateTemplate(DataObject obj)` Deprecated. Instantiate a template object.
`protected void` | `performAction(Node[] activatedNodes)` Deprecated.

Methods inherited from class org.openide.util.actions.NodeAction
`actionPerformed, addNotify, createContextAwareInstance, getActivatedNodes, initialize, isEnabled, performAction, removeNotify, setEnabled, surviveFocusChange`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`asynchronous, getMenuPresenter, getPopupPresenter, getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, iconResource, linkActions, putValue, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removePropertyChangeListener, reset, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, putValue, removePropertyChangeListener`

Constructor Detail

### InstantiateAction

    public InstantiateAction()

  Deprecated.

Method Detail

### enable

    protected boolean enable(Node[] activatedNodes)

  Deprecated.
  Specified by:
    `enable` in class `NodeAction`

### performAction

    protected void performAction(Node[] activatedNodes)

  Deprecated.
  Specified by:
    `performAction` in class `NodeAction`

### getName

    public String getName()

  Deprecated.
  Specified by:
    `getName` in class `SystemAction`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Deprecated.
  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Specified by:
    `getHelpCtx` in class `SystemAction`

### instantiateTemplate

    public static Set instantiateTemplate(DataObject obj)
                                   throws IOException

  Deprecated.
  Instantiate a template object. Asks user for the target file's folder and creates the file. Then runs the node delegate's `customizer` (if there is one). Also the node's `default action`, if any, is run.

  Parameters:
    `obj` - the template to use
  Returns:
    set of created objects or null if user canceled the action
  Throws:
    `IOException` - on I/O error
  See Also:
    `DataObject.createFromTemplate(org.openide.loaders.DataFolder)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.